Summary	: Automatically mount drives under /mnt/auto/ using autofs. 
Name		: mounttero
Version		: 0.4
Release		: 3
License		: GPL
Group		: Applications/System
URL			: http://iki.fi/karvinen/mounttero
Source		: http://iki.fi/karvinen/mounttero/mounttero-%{version}.tar.bz
BuildRoot	: /var/tmp/%{name}-buildroot
Requires	: autofs, bash, gawk

%description
Autofs map for most common devices, such as USB drives, DVDs, CDROMs, hard 
disks and floppies. Device is mounted automatically when user opens 
its directory, such as /mnt/auto/cdrom, and umounted when the directory 
has been unused for four seconds. 

Because autofs is probably allready installed, there is no need to install 
new software. Mounttero works with or without a graphical desktop. 

%prep
%setup -q

%build

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall mntdir=$RPM_BUILD_ROOT/mnt sysconfdir=$RPM_BUILD_ROOT/tmp/mounttero-etc/ install

%post 
install --mode 644 --backup /tmp/mounttero-etc/* %{_sysconfdir}/
/etc/init.d/autofs reload

%files
%defattr(644,root,root)
%doc mounttero.html
%config /tmp/mounttero-etc/*
%attr(733, root, root) %{_bindir}/autotero.sh
/mnt/auto/

%changelog
* Sat May 29 2004 Tero Karvinen tero.karvinen <atta> iki.fi
- Adapted to Makefile
- Initial spec-file
